Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 199)
@@ -185,59 +185,50 @@
         {
             try
             {
-                string strSQL = string.Empty;
+                StringBuilder strSQL = new StringBuilder();
                 bool bRet = true;
+
+                // 集計コード一覧作成
+                // 対象データ取得
+                List<int> GroupCodeList1 = new List<int>();
+                List<int> GroupCodeList2 = new List<int>();
+                List<int> GroupCodeList3 = new List<int>();
+                List<int> GroupCodeList4 = new List<int>();
+                SetGroupCodeList(ref GroupCodeList1, ref GroupCodeList2, ref GroupCodeList3, ref GroupCodeList4);
+
                 foreach (int ConstrCode in ConstrCodeList)
                 {
                     // 工事台帳実行データよりグループごとの合計金額を取得する
-                    strSQL = "SELECT GROUPCOUNT, SUM(PAYMENTAMOUNT)";
-                    strSQL += " FROM CONSTRUCTIONLEDGEREXCUTE";
-                    strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", ConstrCode);
-                    strSQL += " GROUP BY GROUPCOUNT";
-                    strSQL += " ORDER BY GROUPCOUNT";
+                    strSQL.Append("SELECT GROUPCOUNT, SUM(PAYMENTAMOUNT)");
+                    strSQL.Append(" FROM CONSTRUCTIONLEDGEREXCUTE");
+                    strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", ConstrCode);
+                    strSQL.Append(" GROUP BY GROUPCOUNT");
+                    strSQL.Append(" ORDER BY GROUPCOUNT");
 
                     ArrayList InData = new ArrayList();
-                    if (!LedgerExcuteDB.ExecuteReader(strSQL, ref InData, false)) continue;
+                    if (!LedgerExcuteDB.ExecuteReader(strSQL.ToString(), ref InData, false)) continue;
 
                     // データ無は次のデータ
                     if (InData.Count == 0) continue;
 
                     // 対象データ取得
-                    List<int> GroupCodeList = new List<int>();
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Expenses);               // 1:経費
+                    int Payment = CalcGetTotal(InData, GroupCodeList1);                             // ----- 支払額
 
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.ConstructionCosts);      // 2:施工費
+                    int PExpenses = CalcGetTotal(InData, GroupCodeList2);                           // ----- 人件費
 
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.TransportationCosts);    // 3:交通費（通行料・電車代）
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.PurchaseCosts);          // 4:購入品
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.VehicleLeaseFee);        // 5:車両リース代
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.ParkingCosts);           // 6:駐車場・資材置き場
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.RoomChargeCosts);        // 7:宿泊費
+                    int Allowance = CalcGetTotal(InData, GroupCodeList3);                           // ----- 給与
 
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.DisposeCosts);           // 8:処分費等
-                    int Payment = CalcGetTotal(InData, GroupCodeList);                              // ----- 支払額
+                    int Billing = CalcGetTotal(InData, GroupCodeList4);                             // ----- 請求額
 
-                    GroupCodeList.Clear();
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Instructor);             // 9:指導員給料行
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Assistant);              // 10:副担当者給料行
-                    int PExpenses = CalcGetTotal(InData, GroupCodeList);                            // ----- 人件費
-
-                    GroupCodeList.Clear();
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Payroll);                // 11:担当者給料行
-                    int Allowance = CalcGetTotal(InData, GroupCodeList);                            // ----- 給与
-
-                    GroupCodeList.Clear();
-                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.BillingAmount);          // 14:請求金額
-                    int Billing = CalcGetTotal(InData, GroupCodeList);                              // ----- 請求額
-
                     // ----- 工事詳細台帳更新
-                    strSQL = "UPDATE CONSTRUCTIONLEDGER SET";
-                    strSQL += string.Format(" TOTALPAYMENT = {0}", Payment);
-                    strSQL += string.Format(" , GROSSPROFIT = {0}", (Billing - Payment));
-                    strSQL += string.Format(" , Allowance = {0}", Allowance);
-                    strSQL += string.Format(" , NETPROFIT = {0}", (Billing - (Payment + Allowance + PExpenses)));
-                    strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", ConstrCode);
-                    if (!LedgerExcuteDB.ExecuteNonQuery(strSQL, false))
+                    strSQL.Clear();
+                    strSQL.Append("UPDATE CONSTRUCTIONLEDGER SET");
+                    strSQL.AppendFormat(" TOTALPAYMENT = {0}", Payment);
+                    strSQL.AppendFormat(" , GROSSPROFIT = {0}", (Billing - Payment));
+                    strSQL.AppendFormat(" , Allowance = {0}", Allowance);
+                    strSQL.AppendFormat(" , NETPROFIT = {0}", (Billing - (Payment + Allowance + PExpenses)));
+                    strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", ConstrCode);
+                    if (!LedgerExcuteDB.ExecuteNonQuery(strSQL.ToString(), false))
                     {
                         bRet = false;
                         break;
@@ -253,6 +244,43 @@
         }
         #endregion
 
+        #region 集計用コードセット
+        /// <summary>
+        /// 集計用コードセット
+        /// </summary>
+        private static void SetGroupCodeList(ref List<int> GroupCodeList1, ref List<int> GroupCodeList2,
+                                                ref List<int> GroupCodeList3, ref List<int> GroupCodeList4)
+        {
+            try
+            {
+                // 対象データ取得
+                // ----- 支払額コードセット
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.Expenses);               // 1:経費
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.ConstructionCosts);      // 2:施工費
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.TransportationCosts);    // 3:交通費（通行料・電車代）
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.PurchaseCosts);          // 4:購入品
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.VehicleLeaseFee);        // 5:車両リース代
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.ParkingCosts);           // 6:駐車場・資材置き場
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.RoomChargeCosts);        // 7:宿泊費
+                GroupCodeList1.Add((int)FrmConstructionLedger.DataGroup.DisposeCosts);           // 8:処分費等
+
+                // ----- 人件費コードセット
+                GroupCodeList2.Add((int)FrmConstructionLedger.DataGroup.Instructor);             // 9:指導員給料行
+                GroupCodeList2.Add((int)FrmConstructionLedger.DataGroup.Assistant);              // 10:副担当者給料行
+
+                // ----- 給与コードセット
+                GroupCodeList3.Add((int)FrmConstructionLedger.DataGroup.Payroll);                // 11:担当者給料行
+
+                // ----- 請求額コードセット
+                GroupCodeList4.Add((int)FrmConstructionLedger.DataGroup.BillingAmount);          // 14:請求金額
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 配列リストより指定された合計を取得する
         /// <summary>
         /// 配列リストより指定された合計を取得する
@@ -996,10 +1024,12 @@
                 StringBuilder strSQL = new StringBuilder();
                 bool bExists = true;
                 bool bRet = true;
+                List<int> ConstrCodeList = new List<int>();
+
                 foreach (ConstructionLedgerExcute CurRec in EntryList)
                 {
                     strSQL.Clear();
-
+                    // キー作成
                     strSQL.AppendFormat(ExecDB.CreatePrimarykeyString(CurRec.ConstructionCode,
                                                                         CurRec.GroupCount,
                                                                         CurRec.LineCount,
@@ -1043,8 +1073,31 @@
                             break;
                         }
                     }
+
+                    // 更新対象リストへの追加処理
+                    bool bAddFlg = true;
+                    foreach (int CurCode in ConstrCodeList)
+                    {
+                        // 既に追加済みかを探す
+                        if (CurCode == CurRec.ConstructionCode)
+                        {
+                            bAddFlg = false;
+                            break;
+                        }
+                    }
+                    if (bAddFlg)
+                    {   // 更新対象リストへ追加
+                        ConstrCodeList.Add(CurRec.ConstructionCode);
+                    }
                 }
 
+                // 台帳再計算
+                if (!LedgerRecalculate(ExecDB, ConstrCodeList))
+                {
+                    bRet = false;
+                    ExecDB.rollback();
+                }
+
                 return bRet;
             }
             catch (System.Exception ex)
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 199)
@@ -85,7 +85,7 @@
             MaterialEntrylList = 38,            // 38:資材選択一覧
             BillingEntrylList = 39,             // 39:請求選択一覧
             PurchaseStatusInput = 40,           // 40:注文書状況入力
-            ReqBillingStatus = 41,              // 41:請求書状況入力
+            ReqBillingStatus = 41,              // 41:請求書発給一覧
         }
         #endregion
 
@@ -191,7 +191,7 @@
                                                                                 { (int)ProcessExecuteNo.MaterialEntrylList,     "資材データ一覧－表示"},
                                                                                 { (int)ProcessExecuteNo.BillingEntrylList,      "請求データ一覧－表示"},
                                                                                 { (int)ProcessExecuteNo.PurchaseStatusInput,    "注文書状況－入力"},
-                                                                                { (int)ProcessExecuteNo.ReqBillingStatus,     "請求書状況－入力"},
+                                                                                { (int)ProcessExecuteNo.ReqBillingStatus,       "請求書発給一覧－表示"},
         };
 
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 199)
@@ -53,7 +53,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 業種マスタ検索
         /// <summary>
         /// 業種マスタ検索
         /// </summary>
@@ -63,21 +63,21 @@
         public bool SelectAction(string AddSQLString, ref List<BusinessTypeMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " BusinessTypeCode, DisplayOrder, BusinessTypeName";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM BusinessTypeMaster";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append(" BusinessTypeCode, DisplayOrder, BusinessTypeName");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM BusinessTypeMaster");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -91,12 +91,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
 
+        #region 業種マスタ追加（複数件）
         /// <summary>
         /// 業種マスタ追加（複数件）
         /// </summary>
@@ -104,49 +106,51 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<BusinessTypeMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO BusinessTypeMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO BusinessTypeMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (BusinessTypeMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.BusinessTypeCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(", '{0}'", work.BusinessTypeName);
+                    strcmd.AppendFormat("  {0}", work.BusinessTypeCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.BusinessTypeName);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 業種マスタ更新
         /// <summary>
         /// 業種マスタ更新
         /// </summary>
@@ -155,33 +159,34 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, BusinessTypeMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE BusinessTypeMaster";
+                strcmd.Append("UPDATE BusinessTypeMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" BusinessTypeCode = {0}", data.BusinessTypeCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",BusinessTypeName = '{0}'", data.BusinessTypeName);
+                strcmd.AppendFormat(" BusinessTypeCode = {0}", data.BusinessTypeCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",BusinessTypeName = '{0}'", data.BusinessTypeName);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
-
+        #region 業種マスタ削除
         /// <summary>
         /// 業種マスタ削除
         /// </summary>
@@ -191,22 +196,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM BusinessTypeMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM BusinessTypeMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -233,11 +240,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -245,10 +250,10 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int BusinessTypeCode)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where BusinessTypeCode = {0}", BusinessTypeCode);
+                strWork.AppendFormat(" Where BusinessTypeCode = {0}", BusinessTypeCode);
 
             }
             catch (Exception ex)
@@ -256,9 +261,11 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
             }
 
-            return strWork;
+            return strWork.ToString();
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 最大値を取得する
         /// </summary>
@@ -268,16 +275,16 @@
         public int SelectMaxBusinessTypeKeyCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(BusinessTypeCode), 0) FROM BusinessTypeMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(BusinessTypeCode), 0) FROM BusinessTypeMaster", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -290,7 +297,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
